For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Workflows
    • Overview
  • Get Started
    • MCP Quick Start
    • API Quick Start
  • MCP Server
    • Overview
    • Installation
  • Direct API
    • Overview
    • Authentication
      • GETGet all minds
      • POSTCreate a new mind
      • GETSearch minds
      • POSTRun simulation
      • GETGet signed URL for artifact upload
      • POSTCreate a memory bank snapshot
      • GETGet memory bank snapshot status
    • Error Handling
  • Core Concepts
    • Minds, Snapshots, & Simulations
    • SOC 2, HIPAA, & GDPR
LogoLogo
LogoLogo
Direct APIAPI Reference

Create a new mind

POST
https://app.mindreasoner.com/api/public/v1/minds
POST
/api/public/v1/minds
$curl -X POST https://app.mindreasoner.com/api/public/v1/minds \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "John Doe"
>}'
1{
2 "id": "123e4567-e89b-12d3-a456-426614174000",
3 "name": "John Doe",
4 "slug": "john-doe",
5 "email": "john@example.com",
6 "imageUrl": "https://example.com/avatar.jpg",
7 "socialMedia": {},
8 "scope": "private",
9 "isSelf": false,
10 "tokenCount": 1500,
11 "organizationId": "123e4567-e89b-12d3-a456-426614174001",
12 "createdAt": "2025-01-01T00:00:00.000Z",
13 "updatedAt": "2025-01-01T00:00:00.000Z",
14 "digitalTwins": [
15 {
16 "id": "123e4567-e89b-12d3-a456-426614174002",
17 "name": "Default Twin",
18 "mindId": "123e4567-e89b-12d3-a456-426614174000",
19 "isDefault": true,
20 "createdAt": "2025-01-01T00:00:00.000Z",
21 "updatedAt": "2025-01-01T00:00:00.000Z",
22 "mindAssessments": [
23 {
24 "id": "123e4567-e89b-12d3-a456-426614174003",
25 "mindId": "123e4567-e89b-12d3-a456-426614174000",
26 "artifactId": "123e4567-e89b-12d3-a456-426614174004",
27 "mindsetDate": "2025-01-01T00:00:00.000Z",
28 "status": "completed",
29 "startedAt": "2025-01-01T00:00:00.000Z",
30 "completedAt": "2025-01-01T00:00:00.000Z",
31 "createdAt": "2025-01-01T00:00:00.000Z",
32 "updatedAt": "2025-01-01T00:00:00.000Z",
33 "tokenCount": 1500,
34 "byteSize": 10000,
35 "psychometricCount": 10,
36 "keyTopicCount": 5,
37 "findingCount": 8
38 }
39 ],
40 "coreLastUpdatedAt": "2025-01-01T00:00:00.000Z"
41 }
42 ],
43 "mindCategories": [
44 {
45 "id": "123e4567-e89b-12d3-a456-426614174005",
46 "name": "internal team",
47 "organizationId": "123e4567-e89b-12d3-a456-426614174001",
48 "createdAt": "2025-01-01T00:00:00.000Z",
49 "updatedAt": "2025-01-01T00:00:00.000Z"
50 }
51 ]
52}
Creates a new mind
Was this page helpful?
Previous

Search minds

Next
Built with

Authentication

AuthorizationBearer

API key passed as Bearer token in Authorization header (e.g., “Authorization: Bearer YOUR_API_KEY”)

Request

This endpoint expects an object.
namestringRequired>=1 character
emailstringOptionalformat: "email"
imageUrlstringOptionalformat: "uri"
socialMediamap from strings to anyOptional
categoriesstringOptional

Comma-separated list of categories

Response

Successfully created mind
idstring
namestring
slugstring or null
emailstring or null
imageUrlstring or null
socialMediamap from strings to any or null
scopestring
isSelfboolean
tokenCountdouble or null
organizationIdstring or null
createdAtstring or nullformat: "date"
updatedAtstring or nullformat: "date"
digitalTwinslist of objects
Array of digital twins associated with this mind
mindCategorieslist of objects
Array of categories associated with this mind

Errors

400
Bad Request Error